<div class="perfil">

	<div class="back">
		<a routerLink="/parecerista-interno"><i class="fas fa-arrow-left"></i></a>
		<h3 class="title-3">Visualizar Projeto</h3>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="card" id="projetox">

				<div class="card-header">
					<h5>
						Projeto <span id="nome-projeto">{{ projeto?.Projeto }}</span>
					</h5>
				</div>

				<div class="card-body">
					<div class="card-text">
							<p>RA: <span id="numero-funcional">{{ projeto?.Ra }}</span></p>
							<p>Protocolo: <span id="situacao">{{ projeto?.Protocolo }}</span></p>
							<p>Ensino: <span id="situacao">{{ projeto?.TipoAluno }}</span></p>
							<p>Situação: <span id="situacao">{{ projeto?.Situacao }}</span></p>
							<p>Submissão: <span id="data-submissao">{{projeto?.DataSubmissao | myDate | date:"dd/MM/yyyy"}}</span></p>
	
							<hr class="mb-4">
							
							<p>Nome: <span id="nome-aluno">{{ projeto?.Aluno }}</span></p>
							<p><span class="italic">E-mail</span>: <span id="email-aluno">{{ projeto?.Email }}</span></p>
							<p>Curso: <span id="numero-funcional">{{ projeto?.Curso }}</span></p>
	
							<hr class="mb-4">

						<div class="group-info group-orientador">
							<p>
								Orientador(a): <span id="nome-orientador">{{ projeto?.Orientador }}</span>
							</p>
							<p><span class="italic">Email</span> Orientador(a): <span
									id="email-orientador">{{projeto?.EmailOrientador}}</span></p>
						</div>

					</div>

					<div class="group-button-card btn-group">

						<button [hidden]="historicoCarregado" class="btn btn-primary" type="button" disabled>
							<span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
							&nbsp; Carregando histórico...
						</button>

						<fieldset [disabled]="bloqueioHistorico">
							<div [hidden]="!historicoCarregado">
								<a href="{{ aluno?.Historico }}" target="_blank" class="btn btn-primary">
									<i class="fas fa-file-download"></i>
									Histórico escolar
								</a>
							</div>
						</fieldset>

						<button id="modalResumo" type="button" class="btn btn-primary" data-toggle="modal"
							data-target="#resumo-projeto-modal">
							<i class="fas fa-tasks"></i>
							Projeto Pesquisa
						</button>

						<!-- Modal resumo projeto -->
						<div class="modal fade" id="resumo-projeto-modal" tabindex="-1" role="dialog"
							aria-hidden="true">
							<div class="modal-dialog" role="document">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title" id="exampleModalLongTitle">Projeto Pesquisa</h5>
										<button type="button" class="close" data-dismiss="modal" aria-label="Close">
											<span aria-hidden="true">&times;</span>
										</button>
									</div>
									<div class="modal-body" [innerHtml]="projeto?.Resumo"></div>
								</div>
							</div>
						</div>

						<a href="{{ baseUrl }}ProjetoPesquisa/RetornaPdf?ra={{ projeto?.Ra }}" class="btn btn-primary">
							<i class="fas fa-file-download"></i>
							Baixar PDF
						</a>

					</div>
				</div>
			</div>

			<div class="mb-3">
					<label for="avaliar">Justificativa do(a) Orientador(a)</label>
					<br>
					<span>{{parecerOrientador}}</span>
					<!-- <textarea [disabled]="bloqueioSetorPesquisa" class="form-control" id="avaliar" aria-label="avaliar"
						[readonly]>{{parecerOrientador}}</textarea> -->
				</div>

					<label for="validar">Validado pelo orientador(a)?</label>
					<br>
					<div *ngIf="projetoValidadoOrientador; then thenBlock else elseBlock"></div>
											<ng-template #thenBlock><p>Sim</p></ng-template>
											<ng-template #elseBlock><p>Não</p></ng-template>
				<hr class="mb-4">

					<div class="mb-3">
							<label for="avaliar">Observações setor de pesquisa</label>
							<br>
							<span>{{projeto?.Observacao}}</span>
						</div>

				<hr class="mb-4">

			<!-- Relatório do parecer depois de finalizado -->
			<fieldset *ngIf="parecerConcluido">
				<div class="group-info group-orientador">
					<h2 class="title">Avaliação - Parecerista interno</h2>
					<span *ngFor="let parecer of parecerParecerista">
						<br>
						<p>
							<span class="italic" id="parecer-pergunta">{{parecer?.Pergunta}}</span>
						</p>
						<p>R: {{parecer?.Resposta}}</p>
					</span>
				</div>
				<hr class="mb-4">
			</fieldset>

			<!-- Formulário Parecer -->
			<fieldset *ngIf="!parecerConcluido">
				<form id="form-cadastro" class="group-info info-secretaria" (ngSubmit)="enviarResposta()">
					<div class="row">
						<div class="col-md-12">
							<h2 class="title">Formulário do Parecer</h2>
						</div>

						<div *ngFor="let _questionario of lstQuestionario; let i = index;" class="text-default mb-3 col-md-12">
							{{_questionario?.Pergunta.Descricao}}
							<p *ngIf="_questionario.IdPergunta == 5">
								- Os projetos que envolvem animais vertebrados direta ou indiretamente devem
								ser submetidos ao Comitê de Ética no Uso de Animais (CEUA). <br>
								- Os projetos que envolvem seres humanos direta ou indiretamente devem ser
								submetidos
								ao Comitê de Ética em Pesquisa (CEP).</p>


							<p *ngIf="_questionario.IdPergunta == 8">
								*Sobre desenvolvimento do projeto:
							</p>

							<label for="historico">{{_questionario?.Descricao}}</label>

							<div class="form-group form-inline">
								<div *ngFor="let _resposta of _questionario?.Resposta;let j = index;"
									class="custom-control custom-radio">
									<input id="check-respo-{{i}}{{_resposta?.IdResposta}}" name="check{{i}}"
										type="radio" value="{{_resposta?.IdPergunta}},{{_resposta?.IdResposta}}"
										class="custom-control-input" [required]="true">
									<label class="custom-control-label answer"
										for="check-respo-{{i}}{{_resposta?.IdResposta}}">{{_resposta?.Descricao}}</label>
								</div>
							</div>
						</div>

					</div>
					<hr class="mb-4">
					<fieldset class="text-center">
						<button class="btn-link btn btn-primary btn-navigate btn-prev ng-star-inserted btn-lg btn-block"
							type="submit">Enviar</button>
					</fieldset>
				</form>
			</fieldset>


		</div>
	</div>
</div>